Subject: Re: bug#56535: 28.1; `no' and `no-ding' values for isearch-wrap-pause option (since Emacs 28.1) not working as documented

From: Arun V <[email-masked]>
Date: Fri, 22 Jul 2022 01:29:16 +0530

>I suppose non-incremental search here means repeatable search,
>i.e. the search that is being repeated with C-s C-s.
>Maybe then better to emphasize this difference explicitly?
>For example: 'inc-no' and 'inc-no-ding' for incremental wrapping,
>and leave the existing 'no' and 'no-ding' for repeatable wrapping.

I too thought of it as this would preserve the original meaning of the
current values in letter and spirit.

But won't it give the notion that 'inc-no-ding' and 'no-ding' are
mutually exclusive?
Meaning, setting value as 'inc-no-ding' won't wrap for repeatable
searches, and setting 'no-ding' won't wrap for incremental searches.

Shouldn't we be conveying that one of the options includes/performs
the behaviour of all the other ones, in addition to handling the new
scenario?